org.apache.ignite.internal.util.typedef

## Class T3<V1,V2,V3>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridTuple3<V1,V2,V3>
  - - org.apache.ignite.internal.util.typedef.T3<V1,V2,V3>

All Implemented Interfaces:
  Externalizable, Serializable, Cloneable, Iterable<Object>

    public class T3<V1,V2,V3>
    extends GridTuple3<V1,V2,V3>

Defines `alias` for `GridTuple3` by extending it. Since Java doesn't provide type aliases (like Scala, for example) we resort to these types of measures. This is intended to provide for more concise code in cases when readability won't be sacrificed. For more information see `GridTuple3`.

See Also:
  `GridFunc`, `GridTuple`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`T3()` Empty constructor required by `Externalizable`.
`T3(V1 val1, V2 val2, V3 val3)` Fully initializes this tuple.

### Method Summary

### Methods inherited from class org.apache.ignite.internal.util.lang.GridTuple3

`clone, equals, get1, get2, get3, hashCode, iterator, readExternal, set, set1, set2, set3, toString, writeExternal`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### T3

    public T3()

Empty constructor required by `Externalizable`.

#### T3

    public T3(V1 val1,
      V2 val2,
      V3 val3)

Fully initializes this tuple.

Parameters:
  `val1` - First value.
  `val2` - Second value.
  `val3` - Third value.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017